## Remote Desktop App

This project implements a remote desktop application using Python's Twisted and Tkinter libraries. It offers features for secure connections, fast screen sharing, and out-of-the-box file transfer capabilities.

### Features

* **Secure Connection:** Establishes a secure connection between client and server for data transmission. (Details on the specific security mechanisms can be added here if applicable)
* **Fast Screen Sharing:** Enables efficient screen sharing with minimal latency for a smooth remote desktop experience.
* **File Transfer:** Allows users to transfer files between the client and server machines seamlessly.

### Installation

1. **Prerequisites:**
   - Python 3.x ([https://www.python.org/downloads/](https://www.python.org/downloads/))

2. **Install Dependencies:**
   ```bash
   pip install -r requirements.txt
   ```
   This command installs the required libraries from the `requirements.txt` file. Make sure you have `pip` installed (usually included with Python).

### Usage

**Running the Application:**

There are two ways to run the application:

1. **Normal Mode:**
   ```bash
   py main.py
   ```
   This starts the application in normal mode.

2. **Debug Mode:**
   ```bash
   py -d main.py
   ```
   This starts the application in debug mode, providing more detailed information about the program's execution.

### Contributing

We welcome contributions to this project! If you have any bug fixes, feature improvements, or suggestions, feel free to submit a pull request.

### License

This project is licensed under the MIT. You can find the license details in the LICENSE file.

### Team Members

- Seif Mansour
- Seif Kazem
- Amr Kamoun
- Mazen Sameh
- Kareem Khamis
